Bug Hunting Session
Bug 86085 - TOOLBAR: 'Thousands Separator' button
Summary: TOOLBAR: 'Thousands Separator' button
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: Other All
: medium enhancement
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.1.0
Keywords: difficultyInteresting, easyHack, skillCpp
Depends on:
Blocks: UNO-Command-New Calc-Toolbars
  Show dependency treegraph
 
Reported: 2014-11-10 03:05 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-04-08 16:56 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-10 03:05:17 UTC
I've been told that there is no uno command for the thousand separator, but it would be useful for such a button to be created. There is already code for this in the sidebar (i believe its in /sc/source/ui/sidebar/NumberFormatPropertyPanel.cxx and the checkbox is in /sc/uiconfig/scalc/ui/sidebarnumberformat.ui), so a simple toggle button would be needed to be created for this.

The alternative approach would be to create a copy of .uno:NumberFormatDecimal and modify it to set decimal places to 0.
Comment 1 Cor Nouws 2014-11-10 10:45:58 UTC
Hi Jay,

Do you also look at the side bar? 
Easy access to direct formatting number format is already available there.
Comment 2 Yousuf Philips (jay) (retired) 2014-11-10 16:52:10 UTC
Hi Cor,

(In reply to Cor Nouws from comment #1)
> Do you also look at the side bar? 
> Easy access to direct formatting number format is already available there.

Yes i am aware it is there in the sidebar, but with the sidebar still disabled by default in Calc, many people wouldnt see it. :D
Comment 3 Cor Nouws 2014-11-10 19:44:05 UTC
If you think it's worth (and reasonable possible) to add another button, despite the fact that in the nearby future the side bar will be promoted ...
Comment 4 Joel Madero 2014-11-14 15:46:22 UTC
Fine request - moving to NEW.

The bar for enhancement requests are quite low guys - if it seems at all reasonable let's just mark as NEW. If someone implements the change, great, if no one does, well that's fine too. 

If UX doesn't want this implemented they can of course close it as WONTFIX but it should be some kind of consensus and not one person irritated about the proposed change.
Comment 5 Joel Madero 2014-11-14 15:46:49 UTC
Jay - let's set all of your enhancement pertaining to UX to ux-advice instead of the component. This way the team is aware of the proposal.
Comment 6 Jan Holesovsky 2015-12-11 14:30:19 UTC
From the UX point of view - this is a request for the UNO command / functionality that could be an Easy Hack; so let's move to needsDevEval for a creation of this UNO command.

To implement that, you want to take the functionality from:

IMPL_LINK_NOARG_TYPED( NumberFormatPropertyPanel, NumFormatValueHdl, Edit&, void )

in sc/source/ui/sidebar/NumberFormatPropertyPanel.cxx

and when the button is pressed, either add or remove the thousand separator from the number format.

To actually create the .uno: command for that, git grep SID_NUMBER_FORMAT - this is where the number format is applied; you want to do the same, but specialized on the thousand separator only.
Comment 7 Robinson Tryon (qubit) 2016-02-18 14:51:49 UTC Comment hidden (obsolete)
Comment 8 jani 2017-05-14 07:42:41 UTC Comment hidden (obsolete)
Comment 9 Fakabbir amin 2017-05-14 11:36:51 UTC
(In reply to jani from comment #8)
> A polite ping, still working on this bug

Was little busy, will submit a patch soon.
Comment 10 Xisco Faulí 2017-06-14 02:22:18 UTC Comment hidden (obsolete)
Comment 11 Yousuf Philips (jay) (retired) 2017-06-14 14:01:15 UTC
Gulsah: If you get some time as i dont think Fakabbir is working on this.
Comment 12 Xisco Faulí 2017-07-15 02:31:34 UTC Comment hidden (obsolete)
Comment 13 Jim Raykowski 2017-12-01 05:08:49 UTC
Is anyone working on this? If not, I would like to do it.
Comment 14 Yousuf Philips (jay) (retired) 2017-12-02 12:45:23 UTC
(In reply to Jim Raykowski from comment #13)
> Is anyone working on this? If not, I would like to do it.

No nobody is, so go for it. I've assigned it to you.
Comment 15 Jim Raykowski 2017-12-03 03:06:29 UTC
Ok here it be for kind review and helpful comments :)

https://gerrit.libreoffice.org/#/c/45731/
Comment 16 Jim Raykowski 2017-12-08 16:06:40 UTC
Will this control have an icon created for it?
Comment 17 Commit Notification 2017-12-08 17:33:59 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=92eb84ec047cd091d467fd02c8e8bc8d85002b2e

tdf#86085 add slot for toggling thousands separator

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2017-12-08 19:36:27 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=39854837073158555ee26bee9254d1e5ac36a215

Slightly change state method logic, tdf#86085 follow-up

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Yousuf Philips (jay) (retired) 2017-12-09 13:31:56 UTC
(In reply to Jim Raykowski from comment #16)
> Will this control have an icon created for it?

I've asked the icon team to work on it.
Comment 20 Xisco Faulí 2018-01-09 03:27:24 UTC Comment hidden (obsolete)
Comment 21 Xisco Faulí 2018-02-09 03:31:47 UTC Comment hidden (obsolete)
Comment 22 Xisco Faulí 2018-03-12 03:34:06 UTC
A polite ping, still working on this bug?